<template>
	<view :style="{ minHeight: sys.windowHeight + 'px' }" :class="[$tm.vx.state().tmVuetify.black ? 'black' : ' ']">
		<tm-menubars title="" :shadow="0" :showback="false"></tm-menubars>
		<tm-swiper :previmage="false" :noSwiping="true" width="400" :current="current" :margin="32"  :autoplay="false" :list="list"></tm-swiper>
		<tm-button theme="white" size="m" @click="shang()">下一张</tm-button>
		<tm-button theme="white" size="m" @click="xia()">上一张</tm-button>
		<view class="bbb">
			<tm-swiper :notouch="true" :disable-touch="true" class="aaa" :current="current1"   :autoplay="false" dot-model="rect"  :indicator-dots="true" :list="list"></tm-swiper>
		</view>
		<tm-button theme="white" size="m" @click="shang()">下一张</tm-button>
		<tm-button theme="white" size="m" @click="xia()">上一张</tm-button>

	
	</view>
</template>
		
<script>
	import{myRequest} from '@/api/request.js'
	export default {
		data() {
			return {
				keyword: '',
				top: 60,
				sys: null,
				list:[
					'https://picsum.photos/800?jv=34',
					'https://picsum.photos/800?jv=74',
					'https://picsum.photos/800?jv=3',
					'https://picsum.photos/800?jv=5',
					'https://picsum.photos/800?jv=74',
					'https://picsum.photos/800?jv=3',
					'https://picsum.photos/800?jv=5'
				],
				current:0,
				current1:0
			};
		},
		onLoad() {
			// #ifdef MP
			this.top = uni.upx2px(150);
			// #endif
		},
		created() {
			setTimeout(function(){
				if(uni.getStorageSync("token")==""){
					uni.redirectTo({
						url:"/pages/login/index"
					})
				}
			},2000)
			this.sys = uni.getSystemInfoSync();
		},
		methods: {
			shang(){
				this.current=this.current+1;
				this.current1=this.current1+1
			},
			xia(){
				this.current=this.current-1;
				this.current1=this.current1-1
			}
		},
	}
</script>

<style lang="scss">
	/deep/ .tm-menubars .body{
		background-color: #1b1b1b !important;
	}
	/deep/ .aaa uni-image{
		width: 100px !important;
		height: 100px !important;
	}
	/deep/ .aaa uni-swiper-item{
		width: 100px !important;
		height: 100px !important;
		padding: 0 10px !important;
	}
</style>
